POST Agents/List/SaveHeadingsForListItemFromListDefinition
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/List/SaveHeadingsForListItemFromListDefinition
Saves the active headings for the list item.
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/List/SaveHeadingsForListItemFromListDefinition?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
UdListDefinitionId, ListItemId, Headings
| Property Name | Type | Description |
|---|---|---|
| UdListDefinitionId | Integer | |
| ListItemId | Integer | |
| Headings | Array |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/List/SaveHeadingsForListItemFromListDefinition
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"UdListDefinitionId": 775,
"ListItemId": 797,
"Headings": [
{
"Id": 305,
"Name": "Boyer, Hammes and Weber",
"ToolTip": "Qui et iure natus.",
"Deleted": false,
"Rank": 674,
"Type": "nisi",
"ColorBlock": 576,
"IconHint": "cupiditate",
"Selected": true,
"LastChanged": "2015-01-13T10:11:00.3183958+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "error",
"StyleHint": "sit",
"Hidden": false,
"FullName": "Ms. Noe Florian Schneider IV"
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 900,
"Name": "Grant-Hyatt",
"ToolTip": "Eligendi aspernatur.",
"Deleted": false,
"Rank": 296,
"Type": "rem",
"ColorBlock": 484,
"IconHint": "ipsa",
"Selected": false,
"LastChanged": "2001-12-08T10:11:00.3346196+01:00",
"ChildItems": [
{
"Id": 385,
"Name": "Prohaska Inc and Sons",
"ToolTip": "Dolores fugiat porro molestias.",
"Deleted": false,
"Rank": 771,
"Type": "delectus",
"ColorBlock": 858,
"IconHint": "sunt",
"Selected": false,
"LastChanged": "2009-04-28T10:11:00.3346196+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "non",
"StyleHint": "consequatur",
"Hidden": false,
"FullName": "Kyle Bode",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 331
}
}
}
],
"ExtraInfo": "dolor",
"StyleHint": "voluptatem",
"Hidden": true,
"FullName": "Miss Cory Wuckert Jr.",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 552
}
}
}
]